## org.hibernate.cache.spi
Interface OptimisticCacheSource

All Known Subinterfaces:
  EntityPersister, Loadable, Lockable, OuterJoinLoadable, PostInsertIdentityPersister, Queryable, SQLLoadable, UniqueKeyLoadable

All Known Implementing Classes:
  AbstractEntityPersister, JoinedSubclassEntityPersister, SingleTableEntityPersister, UnionSubclassEntityPersister

    public interface OptimisticCacheSource

Contract for sources of optimistically lockable data sent to the second level cache.

Note currently `EntityPersister`s are the only viable source.

Method Summary
`Comparator` `getVersionComparator()` Get the comparator used to compare two different version values.
`boolean` `isVersioned()` Is the data to be cached considered versioned? If true, it is illegal for `getVersionComparator()` to return null.

Method Detail

### isVersioned

    boolean isVersioned()

  Is the data to be cached considered versioned?

  If true, it is illegal for `getVersionComparator()` to return null.

  Returns:
    True if the data is versioned; false otherwise.

### getVersionComparator

    Comparator getVersionComparator()

  Get the comparator used to compare two different version values.

  May return null if `isVersioned()` returns false.

  Returns:
    Comparator used to compare two different version values.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.